Woo commerce – fatal error

Vyřešeno3.86K zhlédnutíRedakční systémy
0

Dobrý den.

Nainstaloval jsem si WordPress a chtěl jsem do něj rozšíření Woo commerce. Problém je v tom, že po instalaci pluginu mi zahlásila aplikace Fatal error a do WordPressu se lze dostat jen přes režim obnovení. Po deaktivaci pluginu a opětovné instalaci se problém objevil znovu. Co s tím?

WordPress verze 5.6.1

Aktuální šablona: Twenty Twenty-One (verze 1.0)

Aktuální plugin: WooCommerce (verze 5.0.0) Verze PHP 8.0.1

Podrobnosti chyby ================= Na řádku č. 37 v souboru /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images-request.php došlo k chybě typu E_ERROR. Chybová zpráva: Uncaught Error: Call to undefined function putenv() in /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images-request.php:37 Stack trace: #0 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images.php(49): WC_Regenerate_Images_Request->__construct() #1 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-includes/class-wp-hook.php(287): WC_Regenerate_Images::init(“) #2 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) #3 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-includes/plugin.php(484): WP_Hook->do_action(Array) #4 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-settings.php(557): do_action(‚init‘) #5 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-config.php(106): require_once(‚/data/web/virtu…‘) #6 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-load.php(37): require_once(‚/data/web/virtu…‘) #7 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-admin/admin.php(34): require_once(‚/data/web/virtu…‘) #8 /data/web/virtuals/268741/virtual/www/domains/sijudoma.cz/wp-admin/plugins.php(10): require_once(‚/data/web/virtu…‘) #9 {main} thrown

Díky

Role: Zákazník
Otázka je uzamčena pro nové odpovědi.
MH276944 publikoval nový komentář 1. 1. 2023
1
46.23K Odpověď od WEDOS Internet, a.s. 1 Komentář

Dobrý den,

je otázka, nakolik je WooCommerce kompatibilní s PHP 8.0. Viděl jsem již více podobných incidentů. Zkuste použít novější verzi WooCommerce, pakliže používáte nejnovější, snižte verzi PHP na 7.4. Podpora PHP 8 bude snad přidána v některé z nejbližších aktualizací.

Role: Podpora Web: https://wedos.cz Vizitka: Produktový manažer.
RF85751 publikoval nový komentář 19. 2. 2022
1

Dobrý den.

Ve Wedos administraci jsem změnil PHP na 7.4, ale ve WordPressu nedošlo ke změně, nainstaloval jsem Woocommerce a po nahlášení chyby mi přišel report, kde jsou tyhle parametry:

WordPress verze 5.6.1
Aktuální šablona: Twenty Twenty-One (verze 1.0)
Aktuální plugin: WooCommerce (verze 5.0.0)
Verze PHP 8.0.1

Role: Zákazník
MV270050 publikoval nový komentář 16. 2. 2021